Bug 1331468 (CVE-2016-2518) - CVE-2016-2518 ntp: out-of-bounds references on crafted packet
Summary: CVE-2016-2518 ntp: out-of-bounds references on crafted packet
Status: CLOSED ERRATA
Alias: CVE-2016-2518
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160426,reported=2...
Keywords: Security
Depends On: 1332160 1332478 1332479 1332480 1332481 1356970
Blocks: 1331437
TreeView+ depends on / blocked
 
Reported: 2016-04-28 14:53 UTC by Martin Prpič
Modified: 2019-06-08 21:09 UTC (History)
6 users (show)

(edit)
An out-of-bounds access flaw was found in the way ntpd processed certain packets. An authenticated attacker could use a crafted packet to create a peer association with hmode of 7 and larger, which could potentially (although highly unlikely) cause ntpd to crash.
Clone Of:
(edit)
Last Closed: 2016-05-31 08:23:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1141 normal SHIPPED_LIVE Moderate: ntp security update 2016-05-31 12:11:54 UTC
Red Hat Knowledge Base (Solution) 2300641 None None None 2016-05-06 01:29 UTC
Red Hat Product Errata RHSA-2016:1552 normal SHIPPED_LIVE Moderate: ntp security update 2016-08-03 11:43:21 UTC

Description Martin Prpič 2016-04-28 14:53:34 UTC
The following flaw was found in ntpd:

Using a crafted packet to create a peer association with hmode > 7 causes the MATCH_ASSOC() lookup to make an out-of-bounds reference.

Upstream bugs:

http://support.ntp.org/bin/view/Main/NtpBug3009

External References:

http://support.ntp.org/bin/view/Main/SecurityNotice#April_2016_NTP_4_2_8p7_Security

Comment 1 Martin Prpič 2016-05-02 11:37:44 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1332160]

Comment 3 Fedora Update System 2016-05-07 11:42:17 UTC
ntp-4.2.6p5-40.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-10 17:58:41 UTC
ntp-4.2.6p5-40.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-12 07:21:51 UTC
ntp-4.2.6p5-40.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2016-05-31 08:13:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1141 https://access.redhat.com/errata/RHSA-2016:1141

Comment 8 errata-xmlrpc 2016-08-03 07:43:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2016:1552 https://rhn.redhat.com/errata/RHSA-2016-1552.html


Note You need to log in before you can comment on or make changes to this bug.